org.apache.hadoop.yarn.api.protocolrecords

## Class GetContainersResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetContainersResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetContainersResponse
      extends Object

  The response sent by the `ResourceManager` to a client requesting a list of `ContainerReport` for containers.

  The `ContainerReport` for each container includes the container details.

  See Also:
    `ContainerReport`, `ApplicationBaseProtocol.getContainers(GetContainersRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContainersResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<ContainerReport>` | `getContainerList()` Get a list of `ContainerReport` for all the containers of an application attempt.
    `static GetContainersResponse` | `newInstance(List<ContainerReport> containers)`
    `abstract void` | `setContainerList(List<ContainerReport> containers)` Set a list of `ContainerReport` for all the containers of an application attempt.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContainersResponse

          public GetContainersResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static GetContainersResponse newInstance(List<ContainerReport> containers)

    - #### getContainerList

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<ContainerReport> getContainerList()

      Get a list of `ContainerReport` for all the containers of an application attempt.
      Returns:
        a list of `ContainerReport` for all the containers of an application attempt

    - #### setContainerList

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setContainerList(List<ContainerReport> containers)

      Set a list of `ContainerReport` for all the containers of an application attempt.
      Parameters:
        `containers` - a list of `ContainerReport` for all the containers of an application attempt

Copyright © 2022 Apache Software Foundation. All rights reserved.